<!-- static/index.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WB L0 intern task</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            min-height: 100vh;
            margin: 0;
        }
        .content {
            text-align: center;
        }

        h1 {
            color: #333;
        }

        label {
            display: block;
            margin: 10px 0;
        }

        input {
            width: 200px;
            padding: 8px;
            margin: 5px 0;
            box-sizing: border-box;
        }

        button {
            background-color: seagreen;
            color: white;
            padding: 10px;
            border: none;
            cursor: pointer;
            border-radius: 10px;
            transition: background-color 0.3s ease;
        }

        button:hover {
            background-color: darkseagreen;
        }

        #orderDetails {
            margin-top: 20px;
        }

        ul {
            list-style-type: none;
            padding: 0;
        }

        li {
            margin: 5px 0;
        }

        li:nth-child(even) {
            width: 500px;
            background-color: #f2f2f2;
        }
        li:nth-child(odd) {
            width: 500px;
            background-color: #a2f2f3;
        }
    </style>
</head>
<body>
<h1 align="center">WB L0</h1>

<label for="userInput">Enter track id</label>
<input type="text" id="userInput" placeholder="your id goes here">

<button id="button" onclick="loadData()">Get Order Data</button>

<div id="orderDetails">
    <!-- Order details will be dynamically inserted here -->
</div>

<script>
    function loadData() {
        const xhr = new XMLHttpRequest();
        const uid = document.getElementById("userInput").value;
        xhr.open('GET', `http://localhost:8080/?uid=${uid}`, true)
        xhr.onload = function() {
            if (this.status === 200) {
                const orderData = JSON.parse(this.responseText);
                const output = generateList(orderData)
                document.getElementById('orderDetails').innerHTML = output
            } else {
                document.getElementById('orderDetails').innerHTML = 'cant process data'
            }
        }
        xhr.send();
    }

    function generateList(data) {
        var output = `<ul>`
        for (const key in data) {
            output += `<li>${key}: ${typeof data[key] == 'object' ? generateList(data[key]) : data[key]} </li>`
        }
        output += `</ul>`
        return output
    }
</script>
</body>
</html>